package com.ynet.life.i18n;

import com.ynet.life.exception.TranFailException;
import java.util.Map;

/* loaded from: com_ynet_life_i18n.jar:com/ynet/life/i18n/ResourceCenter.class */
public class ResourceCenter {
    private Map itsResourceHashMap;

    private ResourceCenter() {
    }

    public ResourceCenter(String resourceFilePathName) throws TranFailException {
        this();
        ResourceXMLReader reader = new ResourceXMLReader(resourceFilePathName);
        this.itsResourceHashMap = reader.getResoures();
    }

    public String getResouceDisplayAt(String resourceName, String language) {
        Resource resource = (Resource) this.itsResourceHashMap.get(resourceName);
        if (resource == null) {
            return resourceName;
        }
        return resource.getValueAt(language);
    }

    public String toString() {
        StringBuffer fileContent = new StringBuffer("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>");
        fileContent.append("<resource.xml>");
        fileContent.append("<Resources>");
        for (String resourceId : this.itsResourceHashMap.keySet()) {
            Resource resource = (Resource) this.itsResourceHashMap.get(resourceId);
            fileContent.append(resource);
        }
        fileContent.append("</Resources>");
        fileContent.append("</resource.xml>");
        return fileContent.toString();
    }
}
